function [modes,s1,s2,s3,t] = main(cas,cas1,gamma) 
 
%cas = 1 : chirp, cas = 2 : somme de cosinus, cas = 3 : somme de cosinus
% module
%cas1 = 1 : Morlet, cas1 = 2 : Bump, cas1 = 3: Window

if (cas == 1)  
   t  = 0:4/4095:4;
   s  = cos(2*pi*30*(t+1/4).^2)+cos(2*pi*24.55*(t+1/4).^2);
   s1 = cos(2*pi*30*(t+1/4).^2);
   s2 = cos(2*pi*24.55*(t+1/4).^2);
   s3 = 0;
elseif cas == 2
   t  = 0:1/1023:1;  
   s  = cos(2*pi*40*t)+cos(2*pi*32.72*t);
   s1 = cos(2*pi*40*t);
   s2 = cos(2*pi*32.72*t);
   s3 = 0;
else
  [s s1 s2 s3 t] = gentests();
end

dt = t(end)/(length(s)-1);

Fb = input('Entrer la valeur de Fb');
Fc = input('Entrer la valeur de Fc');


%calcul de la decomposition en ondelettes
[Wbb,as1,na,nv,j0] = wavedecomp(Fb,Fc,cas1,s,t,dt);
%imagesc(t,log2(as1/dt),abs(Wbb))

%transformee Synchrosqueezing et reconstruction

cas2 = input('Reconstruction en utilisant le support de l ondelette: 1, Reconstruction par Wavelet Thresholding: 2'); 
[modes] = ReconsMod(Wbb,as1,na,nv,j0,Fb,Fc,gamma,cas1,cas2);

